# -*- encoding: utf-8 -*-
# stub: lookout-rake 3.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "lookout-rake".freeze
  s.version = "3.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nikolai Weibull".freeze]
  s.date = "2013-09-04"
  s.description = "                                 Lookout-Rake\n\n  Lookout-Rake provides Rake\u252C\u2563 tasks for testing using Lookout.\n\n\u252C\u2563 See http://rake.rubyforge.org/\n\n\u252C\u00BA Installation\n\n    Install Lookout-Rake with\n\n    % gem install lookout-rake\n\n\u252C\u00BA Usage\n\n    Include the following code in your \u0393\u00C7\u2563Rakefile\u0393\u00C7\u2551:\n\n      require 'lookout-rake-3.0'\n\n      Lookout::Rake::Tasks::Test.new\n\n    If the \u0393\u00C7\u2563:default\u0393\u00C7\u2551 task hasn\u0393\u00C7\u00D6t been defined it\u0393\u00C7\u00D6ll be set to depend on the\n    \u0393\u00C7\u2563:test\u0393\u00C7\u2551 task.  The \u0393\u00C7\u2563:check\u0393\u00C7\u2551 task will also depend on the \u0393\u00C7\u2563:test\u0393\u00C7\u2551 task.\n    There\u0393\u00C7\u00D6s also a \u0393\u00C7\u2563:test:coverage\u0393\u00C7\u2551 task that gets defined that uses the\n    coverage library that comes with Ruby 1.9 to check the test coverage when\n    the tests are run.\n\n    You can hook up your test task to use your Inventory\u252C\u2563:\n\n      load File.expand_path('../lib/library-X.0/version.rb', __FILE__)\n\n      Lookout::Rake::Tasks::Test.new :inventory => Library::Version\n\n    Also, if you use the tasks that come with Inventory-Rake\u252C\u2593, the test task\n    will hook into the inventory you tell them to use automatically, that is,\n    the following will do:\n\n      load File.expand_path('../lib/library-X.0/version.rb', __FILE__)\n\n      Inventory::Rake::Tasks.define Library::Version\n\n      Lookout::Rake::Tasks::Test.new\n\n    For further usage information, see the {API documentation}\u252C\u2502.\n\n\u252C\u2563 Inventory: http://disu.se/software/inventory/\n\u252C\u2593 Inventory-Rake: http://disu.se/software/inventory-rake/\n\u252C\u2502 API: http://disu.se/software/lookout-rake/api/Lookout/Rake/Tasks/Test/\n\n\u252C\u00BA Integration\n\n    To use Lookout together with Vim\u252C\u2563, place \u0393\u00C7\u2563contrib/rakelookout.vim\u0393\u00C7\u2551 in\n    \u0393\u00C7\u2563~/.vim/compiler\u0393\u00C7\u2551 and add\n\n      compiler rakelookout\n\n    to \u0393\u00C7\u2563~/.vim/after/ftplugin/ruby.vim\u0393\u00C7\u2551.  Executing \u0393\u00C7\u2563:make\u0393\u00C7\u2551 from inside Vim\n    will now run your tests and an errors and failures can be visited with\n    \u0393\u00C7\u2563:cnext\u0393\u00C7\u2551.  Execute \u0393\u00C7\u2563:help quickfix\u0393\u00C7\u2551 for additional information.\n\n    Another useful addition to your \u0393\u00C7\u2563~/.vim/after/ftplugin/ruby.vim\u0393\u00C7\u2551 file may\n    be\n\n      nnoremap <buffer> <silent> <Leader>M <Esc>:call <SID>run_test()<CR>\n      let b:undo_ftplugin .= ' | nunmap <buffer> <Leader>M'\n\n      function! s:run_test()\n        let test = expand('%')\n        let line = 'LINE=' . line('.')\n        if test =~ '^lib/'\n          let test = substitute(test, '^lib/', 'test/', '')\n          let line = \"\"\n        endif\n        execute 'make' 'TEST=' . shellescape(test) line\n      endfunction\n\n    Now, pressing \u0393\u00C7\u2563<Leader>M\u0393\u00C7\u2551 will either run all tests for a given class, if\n    the implementation file is active, or run the test at or just before the\n    cursor, if the test file is active.  This is useful if you\u0393\u00C7\u00D6re currently\n    receiving a lot of errors and/or failures and want to focus on those\n    associated with a specific class or on a specific test.\n\n\u252C\u2563 Find out more about Vim at http://www.vim.org/\n\n\u252C\u00BA Financing\n\n    Currently, most of my time is spent at my day job and in my rather busy\n    private life.  Please motivate me to spend time on this piece of software\n    by donating some of your money to this project.  Yeah, I realize that\n    requesting money to develop software is a bit, well, capitalistic of me.\n    But please realize that I live in a capitalistic society and I need money\n    to have other people give me the things that I need to continue living\n    under the rules of said society.  So, if you feel that this piece of\n    software has helped you out enough to warrant a reward, please PayPal a\n    donation to now@disu.se\u252C\u2563.  Thanks!  Your support won\u0393\u00C7\u00D6t go unnoticed!\n\n\u252C\u2563 Send a donation:\n  https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=now%40disu%2ese&item_name=Nikolai%20Weibull%20Software%20Services\n\n\u252C\u00BA Reporting Bugs\n\n    Please report any bugs that you encounter to the {issue tracker}\u252C\u2563.\n\n  \u252C\u2563 See https://github.com/now/lookout-rake/issues\n\n\u252C\u00BA Authors\n\n    Nikolai Weibull wrote the code, the tests, the manual pages, and this\n    README.\n".freeze
  s.email = ["now@disu.se".freeze]
  s.homepage = "http://disu.se/software/lookout-rake".freeze
  s.licenses = ["LGPLv3+".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Lookout-Rake provides Rake\u252C\u2563 tasks for testing using Lookout.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<inventory>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<inventory-rake>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<inventory-rake-tasks-yard>.freeze, ["~> 1.4"])
    s.add_development_dependency(%q<lookout>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8.0"])
    s.add_development_dependency(%q<yard-heuristics>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<rake>.freeze, ["~> 10.0"])
  else
    s.add_dependency(%q<inventory>.freeze, ["~> 1.5"])
    s.add_dependency(%q<inventory-rake>.freeze, ["~> 1.6"])
    s.add_dependency(%q<inventory-rake-tasks-yard>.freeze, ["~> 1.4"])
    s.add_dependency(%q<lookout>.freeze, ["~> 3.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8.0"])
    s.add_dependency(%q<yard-heuristics>.freeze, ["~> 1.1"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
  end
end
